@import "colors.scss";

@font-face {
  font-family: "JetBrainsMono-Regular";
  src: local("JetBrainsMono-Regular"),
    url("./fonts/JetBrainsMono-Regular.ttf") format("truetype");
}

@font-face {
  font-family: "JetBrainsMono-Bold";
  src: local("JetBrainsMono-Bold"),
    url("./fonts/JetBrainsMono-Bold.ttf") format("truetype");
}

@font-face {
  font-family: "JetBrainsMono-Light";
  src: local("JetBrainsMono-Light"),
    url("./fonts/JetBrainsMono-Light.ttf") format("truetype");
}

@font-face {
  font-family: "JetBrainsMono-LightItalic";
  src: local("JetBrainsMono-LightItalic"),
    url("./fonts/JetBrainsMono-LightItalic.ttf") format("truetype");
}

body {
  margin: 0;
  color: $white;
  font-family: "JetBrainsMono-Regular", monospace;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  background-color: $primary;
}

* {
  margin: 0;
  padding: 0;
}

.disableScrollBar {
  &::-webkit-scrollbar {
    display: none;
  }

  -ms-overflow-style: none;
  scrollbar-width: none;
}

.customScrollBar {
  scrollbar-width: thin;
  scrollbar-color: $green transparent;

  &::-webkit-scrollbar {
    width: 5px;
  }

  &::-webkit-scrollbar-track {
    background: transparent;
  }

  &::-webkit-scrollbar-thumb {
    background: $green;
  }
}

input:focus {
  outline: 1px solid $green;
}

.tooltip {
  background-color: $accent !important;
  border-radius: 0px !important;
  color: $white !important;
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2) !important;
  font-family: "JetBrainsMono-Regular", monospace;
}
